﻿@using Jumbula.Core.Model.Report.Filter
@model Jumbula.Core.Model.Report.Filter.JbReportFilter


@foreach (var element in Model.Elements)
{
    if (element is JbDropDownReportFilter)
    {
        @Html.EditorFor(m => element, "JbDropDownReportFilter")
    }

    if (element is JbDatePickerReportFilter)
    {
        @Html.EditorFor(m => element, "JbDatePickerReportFilter")
    }

    if (element is JbTextBoxReportFilter)
    {
        @Html.EditorFor(m => element, "JbTextBoxReportFilter")
    }

    if (element.IsBr)
    {
        <div class="clearfix"></div>
    }

    if (element.IsHr)
    {
        <div class="clearfix"></div>
        <hr />
    }
}
